[Setup] Problem Installing Wicked

Joshua Kramer josh at bitbuckets.com
Mon Feb 27 18:08:39 UTC 2006


Greetings all,

I'm having problems installing Wicked on a new plone site.  I'm using 
wicked-0.8.tgz.  I've installed the prerequisite Products.

When I run the QuickInstaller, I get the following:

2006-02-27T12:59:40 ERROR Zope Couldn't install wicked
Traceback (most recent call last):
   File "/opt/Zope-2.8.5-final/lib/python/OFS/Application.py", line 775, in 
insta
ll_product
     initmethod(context)
   File "/home/librelex/zope_instance1/Products/wicked/__init__.py", line 
29, in
initialize
     import example
   File 
"/home/librelex/zope_instance1/Products/wicked/example/__init__.py", line
  4, in ?
     from ironicwiki import IronicWiki
   File 
"/home/librelex/zope_instance1/Products/wicked/example/ironicwiki.py", li
ne 32, in ?
     from Products.wicked import api as wapi
   File "/home/librelex/zope_instance1/Products/wicked/api.py", line 1, in 
?
     from lib.field import WikiField
   File "/home/librelex/zope_instance1/Products/wicked/lib/__init__.py", 
line 2,
in ?
     import filter
   File "/home/librelex/zope_instance1/Products/wicked/lib/filter.py", line 
26, i
n ?
     class WickedFilter(fapi.MacroSubstitutionFilter):
AttributeError: 'module' object has no attribute 'MacroSubstitutionFilter'

Now, I did trace back and the filter Product is installed, and there is a 
class called MacroSubstitutionFilter.

What's going on here?

Thanks,
-JOsh




More information about the Setup mailing list